PG_ACTIVITY(1)

NAME
pg_activity

SYNOPSIS
pg_activity [option..]

DESCRIPTION
Command line tool for PostgreSQL server activity monitoring.

COMMAND-LINE OPTIONS

-U USERNAME, --username=USERNAME
            Database user name (default: $USER).

-p PORT, --port=PORT
            Database server port (default: "5432").

-h HOSTNAME, --host=HOSTNAME
            Database server host or socket directory (default: "localhost").

-d DBNAME, --dbname=DBNAME
        Database name to connect to (default: "postgres").

-C, --no-color
            Disable color usage.

--blocksize=BLOCKSIZE
            Filesystem blocksize (default: 4096).

--rds
            Enable support for AWS RDS.

--help
            Show this help message and exit.

--version
            Show program's version number and exit.

ENVIRONMENT VARIABLES

PGPASSWORD
        PostgreSQL password.

PGPORT
            Database server port.

PGUSER
            Database user name.

PGHOST
            Database server host or socket directory.

PGPASSFILE
        Path to .pgpass file (default is ~/.pgpass)

DISPLAY OPTIONS

--no-database
            Disable DATABASE.

--no-user
            Disable USER.

--no-client
            Disable CLIENT.

--no-cpu
            Disable CPU%.

--no-mem
            Disable MEM%.

--no-read
            Disable READ/s.

--no-write
            Disable WRITE/s.

--no-time
            Disable TIME+.

--no-wait
            Disable W.

INTERACTIVE COMMANDS

C     Activate/deactivate colors.
r     Sort by READ/s, descending.
w     Sort by WRITE/s, descending.
c     Sort by CPU%, descending.
m     Sort by MEM%, descending.
t     Sort by TIME+, descending.
Space Pause on/off.
v     Change queries display mode: full, truncated, indented
UP / DOWN Scroll process list.
q     Quit
+     Increase refresh time. Maximum value : 3s
-     Decrease refesh time. Minimum Value : 1s
F1/1  Running queries monitoring.
F2/2  Waiting queries monitoring.
F3/3  Blocking queries monitoring.
h     Help page.
R     Refresh.

NAVIGATION MODE

UP    Move up the cursor.
DOWN  Move down the cursor.
k     Terminate the current backend/tagged backends.
Space Tag or untag the process.
q     Quit.
Other Back to activity.

EXAMPLES
PGPASSWORD='mypassword' pg_activity -U pgadmin -h 127.0.0.1 --no-client

pg_activity -h /tmp